import * as ColumnTypes from '../utilities/ColumnTypes'

const Transaction: ColumnTypes.Model = {
  modelName: 'Transaction',
  tableName: 'transactions',
  options: {
    timestamps: false,
  },
  attributes: {
    id: {
      allowNull: true,
      primaryKey: true,
      type: ColumnTypes.UUIDV4,
    },
    deviceId: {
      allowNull: false,
      type: ColumnTypes.STRING,
    },
    operation: {
      allowNull: false,
      type: ColumnTypes.INTEGER,
    },
    objectId: {
      allowNull: false,
      type: ColumnTypes.STRING,
    },
    performedAt: {
      allowNull: false,
      type: ColumnTypes.DATE,
    },
  },
}

export default Transaction
